sp-python-modules (2.5.3+2024.04.10.1-1~ubuntu1~24.04.1) noble; urgency=medium

  * Rebuild for Ubuntu 24.04 (Noble Numbat).

 -- Peter Pentchev <pp@storpool.com>  Thu, 11 Apr 2024 00:25:20 +0300

sp-python-modules (2.5.3+2024.04.10.1-1) UNRELEASED; urgency=medium

  * New upstream release.
    - drop the protobuf-compiler build dependency, no longer used

 -- Peter Pentchev <pp@storpool.com>  Thu, 11 Apr 2024 00:25:20 +0300

sp-python-modules (2.5.3+2024.04.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Peter Pentchev <pp@storpool.com>  Wed, 10 Apr 2024 17:17:17 +0300

sp-python-modules (2.5.3+2024.04.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Stop building the Python 2.x modules.

 -- Peter Pentchev <pp@storpool.com>  Thu, 04 Apr 2024 16:09:04 +0300

sp-python-modules (2.5.2+2024.02.04.0-1) unstable; urgency=medium

  * New upstream release.

 -- Peter Pentchev <pp@storpool.com>  Mon, 05 Feb 2024 03:27:43 +0200

sp-python-modules (2.5.2+2023.10.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Peter Pentchev <pp@storpool.com>  Wed, 11 Oct 2023 20:15:39 +0300

sp-python-modules (2.5.2+2023.07.07.0-1) unstable; urgency=medium

  * New upstream release. 

 -- Peter Pentchev <pp@storpool.com>  Fri, 07 Jul 2023 01:51:34 +0300

sp-python-modules (2.5.2+2023.03.17.0-1) unstable; urgency=medium

  * New upstream release:
    - update setuptools_scm to 7.x to fix the build of many modules!
    - update sp-variant to fix the StorPool core build
    - update cfg-diag, typing-extensions

 -- Peter Pentchev <pp@storpool.com>  Fri, 17 Mar 2023 09:13:23 +0200

sp-python-modules (2.5.2+2023.03.12.0-1) unstable; urgency=medium

  * New upstream release:
    - update sp-variant and trivval
    - update modules in the build toolchain
    - add test-stages and its dependencies
    - add tomli and scapy

 -- Peter Pentchev <pp@storpool.com>  Sun, 12 Mar 2023 21:40:06 +0200

sp-python-modules (2.5.1+2022.11.23.0-1) unstable; urgency=medium

  * New upstream release:
    - update setuptools and setuptools-rust
    - update cryptography
    - add maturin and orjson
    - add some types-* modules that the StorPool build needs
  * Take the first step towards versioned Python 3 modules package names in
    preparation for adding a sp-python3.10-modules package at some point:
    - move the files to the new sp-python3.8-modules package
    - turn the sp-python3-modules package into a transitional one
    - do not change the build process, sp-pymod does not know how to build
      different Python 3 packages yet

 -- Peter Pentchev <pp@storpool.com>  Wed, 23 Nov 2022 22:01:08 +0200

sp-python-modules (2.5.0+2022.05.07.1-1) unstable; urgency=medium

  * New upstream release, no changes for Debian/Ubuntu.

 -- Peter Pentchev <pp@storpool.com>  Sat, 07 May 2022 13:11:12 +0300

sp-python-modules (2.5.0+2022.04.28.1-1) unstable; urgency=medium

  * New upstream release: upgrade cryptography to a version that does
    not support Python 2.x and OpenSSL 1.0.x any more, but supports
    OpenSSL 3.0.x instead.
  * Add sp-rustup-bin and sp-rust-crates-io as build-time dependencies.

 -- Peter Pentchev <pp@storpool.com>  Thu, 28 Apr 2022 13:42:30 +0300

sp-python-modules (2.4.0+2022.02.06.1-1) unstable; urgency=medium

  * New upstream release: add tox-delay and q, add some easy_install
    type annotations.

 -- Peter Pentchev <pp@storpool.com>  Sun, 06 Feb 2022 17:02:13 +0200

sp-python-modules (2.4.0+2022.02.05.1-1) unstable; urgency=medium

  * New upstream release: PEP 517 build, update some modules, add and
    remove some.

 -- Peter Pentchev <pp@storpool.com>  Sat, 05 Feb 2022 20:56:26 +0200

sp-python-modules (2.3.0+2021.11.15.1-1) unstable; urgency=medium

  * New upstream release: update some modules, add aiosignal and
    frozenlist.

 -- Peter Pentchev <pp@storpool.com>  Mon, 15 Nov 2021 17:56:28 +0200

sp-python-modules (2.3.0+2021.09.17.1-1) unstable; urgency=medium

  * New upstream release: update trivver to 2.0.0.

 -- Peter Pentchev <pp@storpool.com>  Fri, 17 Sep 2021 16:39:06 +0300

sp-python-modules (2.3.0+2021.09.15.1-1) unstable; urgency=medium

  * New upstream release: add sp-variant for 2.x and 3.x.

 -- Peter Pentchev <pp@storpool.com>  Wed, 15 Sep 2021 13:24:02 +0300

sp-python-modules (2.3.0+2021.08.04.1-1) unstable; urgency=medium

  * New upstream version: build requests for Python 2.x again.

 -- Peter Pentchev <pp@storpool.com>  Wed, 04 Aug 2021 14:51:56 +0300

sp-python-modules (2.3.0+2021.08.02.2-1) unstable; urgency=medium

  * New upstream release: skip the Jinja2 patch for Python 2.x.

 -- Peter Pentchev <pp@storpool.com>  Mon, 02 Aug 2021 13:01:48 +0300

sp-python-modules (2.2.0+2021.08.02.1-1) unstable; urgency=medium

  * New upstream release: fix a Jinja2 bug, add types-six.

 -- Peter Pentchev <pp@storpool.com>  Mon, 02 Aug 2021 12:07:55 +0300

sp-python-modules (2.2.0+2021.07.30.1-1) unstable; urgency=medium

  * New upstream release: update some modules.

 -- Peter Pentchev <pp@storpool.com>  Fri, 30 Jul 2021 14:03:22 +0300

sp-python-modules (2.2.0+2021.07.29.2-1) unstable; urgency=medium

  * New upstream release: add python-daemon for Python 2.x.

 -- Peter Pentchev <pp@storpool.com>  Thu, 29 Jul 2021 15:08:12 +0300

sp-python-modules (2.2.0+2021.07.26.1-1) unstable; urgency=medium

  * New upstream release: update lots of modules, add new ones, drop
    a couple that were only there to satisfy dependencies.
  * Declare compliance with Debian Policy 4.5.1 with no changes.

 -- Peter Pentchev <pp@storpool.com>  Mon, 26 Jul 2021 14:06:45 +0300

sp-python-modules (2.1.1+2021.04.07.1-1) unstable; urgency=medium

  * New upstream release: update trivval and some other modules.

 -- Peter Pentchev <pp@storpool.com>  Wed, 07 Apr 2021 23:10:11 +0300

sp-python-modules (2.1.1+2021.04.06.1-1) unstable; urgency=medium

  * New upstream version: unbreak utf8-locale on CentOS systems,
    update some modules.

 -- Peter Pentchev <pp@storpool.com>  Tue, 06 Apr 2021 11:51:19 +0300

sp-python-modules (2.1.0+2021.03.31.1-3) unstable; urgency=medium

  * Rebuild with sp-python 3.8.8 everywhere.

 -- Peter Pentchev <pp@storpool.com>  Fri, 02 Apr 2021 16:55:30 +0300

sp-python-modules (2.1.0+2021.03.31.1-2) unstable; urgency=medium

  * Reflect the move of pip from sp-python3.8 to sp-python3-modules.

 -- Peter Pentchev <pp@storpool.com>  Fri, 02 Apr 2021 14:13:11 +0300

sp-python-modules (2.1.0+2021.03.31.1-1) unstable; urgency=medium

  * New upstream release, updated modules.

 -- Peter Pentchev <pp@storpool.com>  Wed, 31 Mar 2021 17:30:01 +0300

sp-python-modules (2.0.0+2021.03.29.1-1) unstable; urgency=medium

  * New upstream release, updated modules, new modules.

 -- Peter Pentchev <pp@storpool.com>  Mon, 29 Mar 2021 01:23:57 +0300

sp-python-modules (1.0.0+2021.01.04.1-1) unstable; urgency=medium

  * Add build, build some more modules for Python 2.

 -- Peter Pentchev <pp@storpool.com>  Mon, 04 Jan 2021 13:04:56 +0200

sp-python-modules (1.0.0+2021.01.02.1-1) unstable; urgency=medium

  * Update black, pytest, and some other modules.
  * Add Brotli.

 -- Peter Pentchev <pp@storpool.com>  Sat, 02 Jan 2021 23:08:30 +0200

sp-python-modules (1.0.0+2020.12.10.1-1) unstable; urgency=medium

  * Add aiocache and ujson.

 -- Peter Pentchev <pp@storpool.com>  Thu, 10 Dec 2020 13:42:17 +0200

sp-python-modules (1.0.0+2020.10.02.2-1) unstable; urgency=medium

  * Update some modules, add docker and websocket_client.

 -- Peter Pentchev <pp@storpool.com>  Fri, 02 Oct 2020 13:56:47 +0300

sp-python-modules (1.0.0+2020.09.15.4-2) unstable; urgency=medium

  * Start over, move the build instructions to a Makefile.

 -- Peter Pentchev <pp@storpool.com>  Fri, 18 Sep 2020 15:11:38 +0300

sp-python-modules (1.0.0+2020.09.15.4-1) unstable; urgency=medium

  * Also build Jinja2, MarkupSafe, and wheel for Python 2.x.

 -- Peter Pentchev <pp@storpool.com>  Tue, 15 Sep 2020 17:13:50 +0300

sp-python-modules (1.0.0+2020.09.15.3-1) unstable; urgency=medium

  * Update some modules, add decorator and decode-acc,
    build a lot fewer Python 2.x modules.

 -- Peter Pentchev <pp@storpool.com>  Tue, 15 Sep 2020 02:23:28 +0300

sp-python-modules (0.9.0+2020.08.18.2-1) unstable; urgency=medium

  * Update some modules, add python-debian and PyJWT.

 -- Peter Pentchev <pp@storpool.com>  Tue, 18 Aug 2020 18:16:46 +0300

sp-python-modules (0.9.0+2020.06.24.2-2) unstable; urgency=medium

  * Rebuild for Python 3.8.5.

 -- Peter Pentchev <pp@storpool.com>  Mon, 17 Aug 2020 16:12:53 +0300

sp-python-modules (0.9.0+2020.06.24.2-1) unstable; urgency=medium

  * Update modules: roll a pylint dependency back, update some others.

 -- Peter Pentchev <roam@debian.org>  Wed, 24 Jun 2020 13:29:18 +0300

sp-python-modules (0.9.0+2020.06.18.1-1) unstable; urgency=medium

  * New release:
    - add the --exclude option
    - various cleanup
  * Update modules: build grpcio with the embedded c-ares, hence also
    drop libc-ares-dev as a build dependency.

 -- Peter Pentchev <pp@storpool.com>  Thu, 18 Jun 2020 18:27:29 +0300

sp-python-modules (0.8.0+2020.06.17.1-1) unstable; urgency=medium

  * Use debian/clean to remove directories.
  * Update some modules:
    - add B-D: libc-ares-dev, libxslt-dev, and zlib1g-dev
    - add B-D: locales and create the C.UTF-8 and en_US.UTF-8 locales

 -- Peter Pentchev <pp@storpool.com>  Wed, 17 Jun 2020 12:39:52 +0300

sp-python-modules (0.8.0+2020.05.26.1-1) unstable; urgency=medium

  * Updated modules.

 -- Peter Pentchev <pp@storpool.com>  Tue, 26 May 2020 21:52:56 +0300

sp-python-modules (0.8.0+2020.05.14.2-1) unstable; urgency=medium

  * Updated modules.

 -- Peter Pentchev <pp@storpool.com>  Thu, 14 May 2020 22:50:00 +0300

sp-python-modules (0.8.0+2020.04.24.2-1) unstable; urgency=medium

  * Updated modules.
  * Added a patch to dacite to satisfy the mypy type checks.

 -- Peter Pentchev <pp@storpool.com>  Fri, 24 Apr 2020 13:37:29 +0300

sp-python-modules (0.8.0+2020.04.18.2-1) unstable; urgency=medium

  * Module changes:
    - updated modules
    - added dacite and trivval
    - added mistune as a trivval dependency

 -- Peter Pentchev <pp@storpool.com>  Sat, 18 Apr 2020 20:50:58 +0300

sp-python-modules (0.8.0+2020.04.13.4-1) unstable; urgency=medium

  * New release:
    - add the "version_comment" option
  * Module changes:
    - clamped back to older versions:
      - pytest-mock 2.0.0 because 3.0.0 does not support Python 2.x
      - wrapt 1.11.2 because of astroid's dependence on it
    - documented some dependencies and quirks using version_comment

 -- Peter Pentchev <pp@storpool.com>  Mon, 13 Apr 2020 20:57:44 +0300

sp-python-modules (0.7.0+2020.04.13.2-1) unstable; urgency=medium

  * New release:
    - improve the vercheck logic a bit, though still not perfect
    - new modules:
      - gevent 1.5.0
      - greenlet 0.4.15
      - grpc 0.3-19 (py2)
      - msgpack-python 0.5.6
      - protobuf 3.11.3
    - updated modules:
      - certifi 2020.4.5.1
      - confget 2.3.1
      - cryptography 2.9
      - cryptography_vectors 2.9
      - hypothesis 5.8.3 (py3)
      - importlib_metadata 1.6.0
      - pathspec 0.8.0
      - pyflakes 2.1.1
      - pyparsing 2.4.7
      - pytest-mock 3.0.0
      - regex 2020.4.4
      - setuptools-44.1.0 (py2)
      - setuptools-46.1.3 (py3)
      - tox 3.14.6
      - typing_extensions 3.7.4.2
      - virtualenv 20.0.17
      - wrapt 1.12.1
    - build idna-ssl for Python 2, too
    - add protobuf-compiler as a build dependency for protobuf
    - drop the version overrides on some modules
    - run sp_pymod with a PYTHONPATH specified
  * Run dh_missing with --fail-missing.

 -- Peter Pentchev <pp@storpool.com>  Mon, 13 Apr 2020 16:30:54 +0300

sp-python-modules (0.6.1+2020.03.26.1-1) unstable; urgency=medium

  * New release with a lot of changes; mainly Python 3 support.

 -- Peter Pentchev <pp@storpool.com>  Thu, 26 Mar 2020 10:53:08 +0200

sp-python-modules (0.5.0+2020.03.02.1-1) unstable; urgency=medium

  * New release:
    - add the `-p patchdir` option to `extract`
  * New modules release:
    - add the patches/ directory
    - add the cryptography/no-deprecated-warning.patch to silence
      an OpenSSL 1.0 deprecation warning (not really relevant for
      the Debian build, only needed for CentOS 6.x)
  * Apply the module patches while extracting.

 -- Peter Pentchev <pp@storpool.com>  Mon, 02 Mar 2020 22:14:01 +0200

sp-python-modules (0.4.0+2020.02.16.1-1) unstable; urgency=low

  * Initial release.

 -- Peter Pentchev <pp@storpool.com>  Mon, 02 Mar 2020 02:42:47 +0200
